/* $Id: GS_RWElement.java 287 2011-08-03 13:10:08Z shayashi $ */
package smart_gs.reasoning_web.logical;

import javax.swing.JPanel;

import org.w3c.dom.Document;
import org.w3c.dom.Element;


import reasoning_web.logical.NotMarkupException;
import reasoning_web.logical.inter_face.NoWayToShowException;
import reasoning_web.logical.inter_face.RWElement;

public interface GS_RWElement extends RWElement{
	
	public void show();

	public JPanel createElementViewPanel() throws NoWayToShowException;
	
	public JPanel createElementViewPanel(int width, int height) throws NoWayToShowException;
	
	public String getSource() throws NotMarkupException;
	
	public String getURI();
	
	public Element createXMLElement(Document document);


}
